Package: org.codehaus.groovy.runtime.callsite

## [Java] Class CallSiteGenerator

- org.codehaus.groovy.runtime.callsite.CallSiteGenerator

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static Constructor` | `compilePogoMethod(CachedMethod cachedMethod)`
    `` | `static Constructor` | `compilePojoMethod(CachedMethod cachedMethod)`
    `` | `static Constructor` | `compileStaticMethod(CachedMethod cachedMethod)`
    `` | `static void` | `genCallWithFixedParams(org.objectweb.asm.ClassWriter cw, String name, String superClass, CachedMethod cachedMethod, String receiverType)`
    `` | `static void` | `genCallXxxWithArray(org.objectweb.asm.ClassWriter cw, String name, String superClass, CachedMethod cachedMethod, String receiverType)`
    `` | `static byte[]` | `genPogoMetaMethodSite(CachedMethod cachedMethod, org.objectweb.asm.ClassWriter cw, String name)`
    `` | `static byte[]` | `genPojoMetaMethodSite(CachedMethod cachedMethod, org.objectweb.asm.ClassWriter cw, String name)`
    `` | `static byte[]` | `genStaticMetaMethodSite(CachedMethod cachedMethod, org.objectweb.asm.ClassWriter cw, String name)`
    `` | `static boolean` | `isCompilable(CachedMethod method)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### public static Constructor compilePogoMethod(CachedMethod cachedMethod)

    - #### public static Constructor compilePojoMethod(CachedMethod cachedMethod)

    - #### public static Constructor compileStaticMethod(CachedMethod cachedMethod)

    - #### public static void genCallWithFixedParams(org.objectweb.asm.ClassWriter cw, String name, String superClass, CachedMethod cachedMethod, String receiverType)

    - #### public static void genCallXxxWithArray(org.objectweb.asm.ClassWriter cw, String name, String superClass, CachedMethod cachedMethod, String receiverType)

    - #### public static byte[] genPogoMetaMethodSite(CachedMethod cachedMethod, org.objectweb.asm.ClassWriter cw, String name)

    - #### public static byte[] genPojoMetaMethodSite(CachedMethod cachedMethod, org.objectweb.asm.ClassWriter cw, String name)

    - #### public static byte[] genStaticMetaMethodSite(CachedMethod cachedMethod, org.objectweb.asm.ClassWriter cw, String name)

    - #### public static boolean isCompilable(CachedMethod method)